Page MenuHomePhabricator

Upgrade Toolforge Elasticsearch to 5.5.x
Closed, ResolvedPublic

Description

Stay in sync with Elasticsearch upgrades being done for production clusters

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptNov 28 2017, 5:30 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
debt added a subscriber: debt.

We'll keep an eye on this, but I don't think there is anything active we'll need to do.

Gehel added a subscriber: Gehel.Dec 7 2017, 10:04 AM

@bd808 all other elasticsearch clusters have been upgraded. Let me know if you need any help on that one. Once you are done, feel free to close T174662 as well.

Change 419485 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[operations/puppet@production] toolforge: Update role and hiera for elasticsearch 5.5

https://gerrit.wikimedia.org/r/419485

Change 419485 merged by Andrew Bogott:
[operations/puppet@production] toolforge: Update role and hiera for elasticsearch 5.5

https://gerrit.wikimedia.org/r/419485

Mentioned in SAL (#wikimedia-cloud) [2018-03-14T20:51:06Z] <bd808> Upgrading elasticsearch on tools-elastic-03 (T181531)

Mentioned in SAL (#wikimedia-cloud) [2018-03-14T20:53:54Z] <bd808> Upgrading elasticsearch on tools-elastic-02 (T181531)

Mentioned in SAL (#wikimedia-cloud) [2018-03-14T20:57:48Z] <bd808> Upgrading elasticsearch on tools-elastic-01 (T181531)

bd808 closed this task as Resolved.Mar 14 2018, 9:07 PM
{
  "name" : "tools-elastic-01",
  "cluster_name" : "labs-tools",
  "cluster_uuid" : "ichp1FJ6T1eLVLEGHIiPNQ",
  "version" : {
    "number" : "5.5.2",
    "build_hash" : "b2f0c09",
    "build_date" : "2017-08-14T12:33:14.154Z",
    "build_snapshot" : false,
    "lucene_version" : "6.6.0"
  },
  "tagline" : "You Know, for Search"
}

{
  "cluster_name" : "labs-tools",
  "status" : "green",
  "timed_out" : false,
  "number_of_nodes" : 3,
  "number_of_data_nodes" : 3,
  "active_primary_shards" : 51,
  "active_shards" : 152,
  "relocating_shards" : 0,
  "initializing_shards" : 0,
  "unassigned_shards" : 0,
  "delayed_unassigned_shards" : 0,
  "number_of_pending_tasks" : 0,
  "number_of_in_flight_fetch" : 0,
  "task_max_waiting_in_queue_millis" : 0,
  "active_shards_percent_as_number" : 100.0
}

ip          heap.percent ram.percent cpu load_1m load_5m load_15m node.role master name
10.68.20.9            26          83   0    0.16    0.26     0.15 mdi       -      tools-elastic-01
10.68.20.82           15          85   0    0.20    0.18     0.17 mdi       *      tools-elastic-03
10.68.20.79            7          86   1    0.28    0.42     0.27 mdi       -      tools-elastic-02